Evaluate a rule expression
curl --request POST \
--url https://api.arklow.io/v1/orgs/{org_id}/rules/evaluate \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"expression": "<string>",
"context": {
"available_fields": [
"<string>"
],
"fields": {},
"lists": {},
"now": "2023-11-07T05:31:56Z",
"phase": "<string>"
}
}
'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/rules/evaluate"
payload = {
"expression": "<string>",
"context": {
"available_fields": ["<string>"],
"fields": {},
"lists": {},
"now": "2023-11-07T05:31:56Z",
"phase": "<string>"
}
}
headers = {
"x-arklow-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-arklow-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expression: '<string>',
context: {
available_fields: ['<string>'],
fields: {},
lists: {},
now: '2023-11-07T05:31:56Z',
phase: '<string>'
}
})
};
fetch('https://api.arklow.io/v1/orgs/{org_id}/rules/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"expression": "<string>",
"result": {
"ast": "<unknown>",
"missing_fields": [
"<string>"
],
"phase": "<string>",
"status": "deferred",
"value": true
}
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"data": null,
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}Evaluate a rule expression
POST
/
v1
/
orgs
/
{org_id}
/
rules
/
evaluate
Evaluate a rule expression
Authorizations
Path Parameters
Pattern:
^[0-9]+$